# ***************************************************************************
# Date       Author   Tag       Description
# ***************************************************************************
# 07/12/2017 CM       RD-12977  Add installer variable for environment name
# 03/01/2018 JBER     RD-34156  Set hang_timeout to 0
# 28/02/2019 AGU      RD-36605  Add log
# 28/03/2019 GFI      RD-36165  update values for apk 13.8.0.4
# 09/09/2019 SPO      RD-39435  Add local truststore and sort settings
# 03/01/2020 SPO      RD-47450  Add External Browser Authentication
# 11/07/2020 SPO      RD-53126  Disable shake feature
# 28/09/2022 SPO      RD-76791  Add sound notification parameter 
# 29/11/2022 SPO      RD-81307  Add enable_auto_focus parameter 
# 13/02/2023 SPO      RD-81307  Add enable_environment_menu and enable_certificates_menu parameters
# ***************************************************************************

#######################
# connection settings #
#######################
url=http://server:port/reflex
config_key=1_Portrait

# This parameter is postfixed to URL of updater server
# If updater address is http:\\myserver\reflex\updater
# the connection URL used by the client will be http:\\myserver\reflex?url_parameters
url_parameters=RFXENV=formation&RFXPGM=HEPWAG&RFXFOR=01

# Wagon desktop the application will connect to
desktop=android

# You can specify user and password. The application will not ask for credentials
user=
password=

# Network fault detection :
# time in seconds before sending a ping if network idling (5-60, default 30)
keep_alive=30

################
# SSL settings #
################
#
# 2 following parameters guide the SSL setup process
# 1) your SSL key is either autosigned either trusted by an authority
#       if autosigned, you have to setup a local truststore to avoid to enter a pin code at terminal login (from android oreo version)
#       if trusted, you have to use the system truststore (ready to use by default)
# 2) your deployment tool is either a MDM tool either the reflex updater url
#       if MDM tool, you have to setup SSL parameters into this properties file
#       if updater, the SSL parameters are injected automatically
#
# by default we use the system store, set to true for local store
ssl_private_store=false

# check hostname during SSL connection
ssl_allow_all_hosts=false
#
# to setup a local truststore
# the path must be relative to public application directory (/sdcard/Android/data/hardis.com.wagonandroid/files, default is empty)
# Warning the truststore must be in BouncyCastle format (BKS). 
#ssl_trust_store=keystore.bks
# Password to access to local truststore (default changeit)
#ssl_trust_store_password=changeit

####################
# display settings #
####################

#orientation :
# 1 : device
# 2 : follow display rotation
# 3 : portrait
# 4 : landscape
# 5 : Portrait inverted
# 6 : Landscape inverted
display_orientation=3

# resolution possible values:
# -1 -1   : device display
# 320 240 : emulation of a 320 X 240 display (QVGA portrait or Landscape)
# 640 480 : emulation of a 640 X 480 display (VGA)
# 800 600 : emulation of a 800 X 600 display (SVGA)
resolution=-1 -1

# full_screen set to true : application will overlap Android status bar
full_screen=false
# hide_action_bar set to true will hide the reflexWeb application bar.
# the application bar will become visible by sliding downward
hide_action_bar=true
# to hide android keyboard when an entry field has the focus
disable_keyboard_on_focus=false
# Enable automatic focus when validating an input string in a field
enable_auto_focus=false
# Size of police for text of messages. (6 to 20 points, default 8)
#message_font=8

# keep_screen_on parameter to prevent device standby. 
# possible values are -1 (always), 0 (never), 300 (during 5 minutes), 600 (during 10 minutes), 900 (during 15 minutes) and 1800 (during 30 minutes)
keep_screen_on=0

##########################
# miscellaneous settings #
##########################

# play a notification sound when data is inserted from external source (intents)
enable_notification=false

# Open-id authentication : use local browser of the terminal to authenticate or internal webview of the apk
use_external_browser_auth=true

# Use of shake to reload Functionality
# 0 : disabled
# 3 : High sensitivity
# 10: Normal
# 25: Low sensitivity
shake_to_reload=0
# Number of shake to reload
# recommended values 2-6
num_of_shakes= 4

# NFC support
enable_nfc=false
# ZEBRA NFC protocol
enable_zebra_hf=false
# ZXING support : if activated, a barcode button is displayed to launch camera to scan barecodes
enable_zxing=false

# Nb of MB allocated to memory cache
cache_mem=50
# Nb of MB allocated to disk cache
cache_disk=512

# once a day, at first launch, the apk is checking if it needs to be updated using updater service
# if you are using a MDM tool, you should set this parameter to true
disable_auto_update=false

####################
# logging settings #
####################

# to get detailled connection errors
error_detail=true
# Activate logging to get error android/communication traces and WIFI latencies (false by defalut)
# log files are written into private application directory (\Android\data\hardis.com.wagonandroid\files)
enable_logging=false
# Les fichiers de log
# ERROR, WARN, INFO, DEBUG (default), VERBOSE
log_level=DEBUG
# Protocol to upload log file from terminals 
# FTP (default) or AWS - case sensitive
log_upload_protocol=FTP
# upload server URL (ftp://xxx or http:xxx)
log_upload_server=
# FTP login or AWS access key
log_upload_login=
# FTP password or AWS secret key
log_upload_password=
# FTP directory or AWS bucket
log_upload_directory=

##########################
# access rights settings #
##########################

#Locked and hidden preferences will respectively lock or hide
# all  : all preferences
# auto : all preferences in this file
# preference1,preference2,etc.. : listed preferences
locked_preferences=url,config_key,desktop,user,password,keep_alive,ssl_private_store,ssl_allow_all_hosts,ssl_trust_store,ssl_trust_store_password,display_orientation,resolution,full_screen,hide_action_bar,disable_keyboard_on_focus,message_font,shake_to_reload,num_of_shakes,enable_nfc,enable_zebra_hf,enable_zxing,cache_mem,cache_disk,disable_auto_update,enable_logging,error_detail,log_level,log_upload_protocol,log_upload_server,log_upload_login,log_upload_password,log_upload_directory,use_external_browser_auth,enable_auto_focus,enable_notification
hidden_preferences=

# Menu rights
enable_certificates_menu=false
enable_environment_menu=true